CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Problem in installing OpenFOAM 2.3.0 !!!

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree3Likes
  • 1 Post By hk318i
  • 1 Post By hk318i
  • 1 Post By hk318i

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   July 27, 2016, 17:00
Default Problem in installing OpenFOAM 2.3.0 !!!
  #1
Member
 
Sadegh Ebadi
Join Date: Apr 2015
Posts: 75
Rep Power: 7
omid20110 is on a distinguished road
Hello everybody,
I'm trying to install openfoam 2.3.0 but I get this error:
" sudo apt-get install openfoam230
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package openfoam230 "

I should mention that I already have installed openfoam 3.0.1 and openfoam 2.4 but now whenever I try to install openfoam 2.3.0 (that is needed for installing flameletfoam...) I get this type of error!
Please help me to solve this problem.
omid20110 is offline   Reply With Quote

Old   July 29, 2016, 11:10
Default
  #2
Senior Member
 
Hassan Kassem
Join Date: May 2010
Location: Germany
Posts: 239
Rep Power: 14
hk318i is on a distinguished road
Probably, you have a recent Ubuntu version which does not support OpenFOAM-2.3 binary package. Check [LINK1][LINK2]

You can compile the source files on your system directly.
omid20110 likes this.
__________________
@HIKassem | HassanKassem.me
hk318i is offline   Reply With Quote

Old   July 29, 2016, 14:59
Default
  #3
Member
 
Sadegh Ebadi
Join Date: Apr 2015
Posts: 75
Rep Power: 7
omid20110 is on a distinguished road
Yes you're right I have ubuntu 14.04 LTS..
Thanks but I don't know how to install openfoam 2.3 using these links!
Could you please explain it?
omid20110 is offline   Reply With Quote

Old   July 30, 2016, 07:28
Default
  #4
Senior Member
 
Hassan Kassem
Join Date: May 2010
Location: Germany
Posts: 239
Rep Power: 14
hk318i is on a distinguished road
You install OpenFOAM-2.3.1 on Ubuntu 14.04 LTS.

Code:
sudo apt-get install openfoam231
To install from source, you can follow these instructions [LINK]. Also, you can follow OFWiki detailed guide.
omid20110 likes this.
__________________
@HIKassem | HassanKassem.me
hk318i is offline   Reply With Quote

Old   July 30, 2016, 19:35
Default
  #5
Member
 
Sadegh Ebadi
Join Date: Apr 2015
Posts: 75
Rep Power: 7
omid20110 is on a distinguished road
Thanks for your help.
I have followed the instructions in this link
http://openfoam.org/download/2-3-0-source/
I have unpacked the sources in opt directory and I have set environment variables in .bashrc like this:
alias of30='. /opt/openfoam30/etc/bashrc'
alias of240='. /opt/openfoam240/etc/bashrc'
alias of230='. /opt/OpenFOAM-2.3.0/etc/bashrc'

now when I run ./Allwmake I get this error:

linux@linux-K550ZE:~$ sudo su -
[sudo] password for linux:
root@linux-K550ZE:~# cd /opt/OpenFOAM-2.3.0
root@linux-K550ZE:/opt/OpenFOAM-2.3.0# ./Allwmake
./Allwmake: 4: ./Allwmake: wmakeCheckPwd: not found
Error: Current directory is not $WM_PROJECT_DIR
The environment variables are inconsistent with the installation.
Check the OpenFOAM entries in your dot-files and source them.
omid20110 is offline   Reply With Quote

Old   July 31, 2016, 06:20
Default
  #6
Senior Member
 
Hassan Kassem
Join Date: May 2010
Location: Germany
Posts: 239
Rep Power: 14
hk318i is on a distinguished road
You need to change the location of OpenFOAM installation in ``OpenFOAM-2.3.0/etc/bashrc`` or simple install it in ``$HOME/OpenFOAM/OpenFOAM-2.3.0``
omid20110 likes this.
__________________
@HIKassem | HassanKassem.me
hk318i is offline   Reply With Quote

Old   August 1, 2016, 12:20
Default
  #7
Member
 
Sadegh Ebadi
Join Date: Apr 2015
Posts: 75
Rep Power: 7
omid20110 is on a distinguished road
Thanks it solved my problem
omid20110 is offline   Reply With Quote

Reply

Tags
openfoam2.3.0

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to contribute to the community of OpenFOAM users and to the OpenFOAM technology wyldckat OpenFOAM 17 November 10, 2017 16:54
[OpenFOAM.org] Problem Installing OpenFOAM V 2.3.1 in Ubuntu 17.04 tareqkh OpenFOAM Installation 1 September 2, 2017 11:10
[OpenFOAM.org] OpenFOAM 2.3.0 Installation Problem on CentOS 6.6 shenzhou1987 OpenFOAM Installation 1 December 14, 2014 14:34
New OpenFOAM Forum Structure jola OpenFOAM 2 October 19, 2011 07:55
Problem on installing Openfoam on 64bit sgi station gregjunqua OpenFOAM Installation 4 October 12, 2011 17:28


All times are GMT -4. The time now is 17:43.